Threat Encyclopedia

OpenLDAP.back-sql.LDAP.Search.SQL.Injection

description-logoDescription

This indicates an attack attempt to exploit an SQL Injection Vulnerability in OpenLDAP Foundation OpenLDAP.
The vulnerability is due to improper input validation in LDAP search requests. A remote attacker can exploit the vulnerability by sending a crafted query to the target OpenLDAP server. Successful exploitation could result in the arbitrary SQL command execution under the security context of the LDAP database user.

affected-products-logoAffected Products

OpenLDAP Foundation OpenLDAP 2.x prior 2.5.12
OpenLDAP Foundation OpenLDAP 2.6.x prior 2.6.2

Impact logoImpact

System Compromise: Remote attackers can add, view, delete or modify data in the database of the affected application

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor.
https://bugs.openldap.org/show_bug.cgi?id=9815

CVE References

CVE-2022-29155

Telemetry logoTelemetry